#include "Sample/Interface/LayerRoughness.h"
#include "Tests/GTestWrapper/google_test.h"

// test clone LayerRoughness
TEST(LayerRoughnessTest, LayerRoughnessClone)
{
    LayerRoughness original(3.1, 0.2, 3.3);

    LayerRoughness* clone = original.clone();
    EXPECT_EQ(clone->sigma(), original.sigma());
    EXPECT_EQ(clone->hurst(), original.hurst());
    EXPECT_EQ(clone->lateralCorrLength(), original.lateralCorrLength());
    delete clone;
}
